import { ValRegion } from "@valapi/lib";
import type { Region } from "@valapi/lib";
export declare class WebClientRegionURL extends ValRegion {
    readonly shard: Region.ID;
    readonly url: {
        /**
         * pd.$.a.pvp.net
         */
        playerData: string;
        /**
         * glz-$-1.$.a.pvp.net
         */
        partyService: string;
        /**
         * shared.$.a.pvp.net
         */
        sharedData: string;
    };
    /**
     * @param region (default: na)
     */
    constructor(region?: Region.ID);
}
