"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WebClientRegionURL = void 0;
const lib_1 = require("@valapi/lib");
class WebClientRegionURL extends lib_1.ValRegion {
    /**
     * @param region (default: na)
     */
    constructor(region) {
        super(region);
        this.shard = "na";
        switch (region) {
            case "na": {
                break;
            }
            case "latam": {
                break;
            }
            case "br": {
                break;
            }
            case "pbe": {
                this.shard = "pbe";
                break;
            }
            case "eu": {
                this.shard = "eu";
                break;
            }
            case "kr": {
                this.shard = "kr";
                break;
            }
            case "ap": {
                this.shard = "ap";
                break;
            }
        }
        this.url = {
            playerData: `https://pd.${this.shard}.a.pvp.net`,
            partyService: `https://glz-${this.id}-1.${this.shard}.a.pvp.net`,
            sharedData: `https://shared.${this.shard}.a.pvp.net`
        };
    }
}
exports.WebClientRegionURL = WebClientRegionURL;
