"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DailyTicket = void 0;
const WebClientService_1 = require("../client/WebClientService");
class DailyTicket extends WebClientService_1.WebClientService {
    get(subject) {
        return this.request.get(`${this.regionURL.url.playerData}/daily-ticket/v1/${subject}`);
    }
    renew(subject) {
        return this.request.post(`${this.regionURL.url.playerData}/daily-ticket/v1/${subject}/renew`);
    }
}
exports.DailyTicket = DailyTicket;
