import type { PromiseResponse } from "@valapi/auth";
import { WebClientService } from "../client/WebClientService";
export declare namespace Favorites {
    interface Favorite {
        Subject: string;
        FavoritedContent: Record<string, {
            FavoriteID: string;
            ItemID: string;
        }>;
    }
}
export declare class Favorites extends WebClientService {
    get(subject: string): PromiseResponse<Favorites.Favorite>;
    add(subject: string, itemId: string): PromiseResponse<Favorites.Favorite>;
    remove(subject: string, itemId: string): PromiseResponse<Favorites.Favorite>;
}
