"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Favorites = void 0;
const WebClientService_1 = require("../client/WebClientService");
class Favorites extends WebClientService_1.WebClientService {
    get(subject) {
        return this.request.get(`${this.regionURL.url.playerData}/favorites/v1/players/${subject}/favorites`);
    }
    add(subject, itemId) {
        return this.request.post(`${this.regionURL.url.playerData}/favorites/v1/players/${subject}/favorites`, {
            ItemID: itemId
        });
    }
    remove(subject, itemId) {
        return this.request.delete(`${this.regionURL.url.playerData}/favorites/v1/players/${subject}/favorites/${itemId}`);
    }
}
exports.Favorites = Favorites;
