import type { PromiseResponse } from "@valapi/auth";
import { WebClientService } from "../client/WebClientService";
export declare namespace NameService {
    type Player = Array<{
        DisplayName: string;
        Subject: string;
        GameName: string;
        TagLine: string;
    }>;
}
export declare class NameService extends WebClientService {
    getPlayer(subject: string): PromiseResponse<NameService.Player>;
}
