"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Restrictions = void 0;
const WebClientService_1 = require("../client/WebClientService");
class Restrictions extends WebClientService_1.WebClientService {
    fetchPlayerReportToken(matchId, offenderSubject) {
        return this.request.get(`${this.regionURL.url.playerData}/restrictions/v1/playerReportToken/${matchId}/${offenderSubject}`);
    }
    fetchPlayerRestrictions() {
        return this.request.get(`${this.regionURL.url.playerData}/restrictions/v3/penalties`);
    }
}
exports.Restrictions = Restrictions;
