import type { PromiseResponse } from "@valapi/auth";
import { WebClientService } from "../client/WebClientService";
export declare namespace Content {
    interface ContentElements {
        ID: string;
        Name: string;
        StartTime: Date;
        EndTime: Date;
        IsActive: boolean;
    }
    interface ContentElementsType extends ContentElements {
        Type: string;
    }
    interface Content {
        DisabledID: Array<any>;
        Seasons: Array<Content.ContentElementsType>;
        Events: Array<Content.ContentElements>;
    }
}
export declare class Content extends WebClientService {
    get(): PromiseResponse<Content.Content>;
}
