import type { PromiseResponse } from "@valapi/auth";
import { WebClientService } from "../client/WebClientService";
export declare namespace MassRewards {
    interface PlayerReconcile {
        Version: number;
        Subject: string;
        Ceremonies: Array<{
            Type: string;
            SourceID: string;
            Rewards: Array<{
                Type: string;
                ItemTypeID: string;
                ItemID: string;
                Count: number;
                CurrencyID: string;
                CurrencyCount: number;
                ContractID: string;
                XPAmount: number;
            }>;
        }>;
    }
}
export declare class MassRewards extends WebClientService {
    reconcilePlayer(subject: string): PromiseResponse<MassRewards.PlayerReconcile>;
}
