"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Personalization = void 0;
const WebClientService_1 = require("../client/WebClientService");
class Personalization extends WebClientService_1.WebClientService {
    getPlayerLoadout(subject) {
        return this.request.get(`${this.regionURL.url.playerData}/personalization/v2/players/${subject}/playerloadout`);
    }
    changePlayerLoadout(subject, loadout) {
        return this.request.put(`${this.regionURL.url.playerData}/personalization/v2/players/${subject}/playerloadout`, loadout);
    }
}
exports.Personalization = Personalization;
